package com.example.notesai.data.model

import kotlinx.serialization.Serializable
import java.util.UUID

@Serializable
data class Category(
    val id: String = UUID.randomUUID().toString(),
    val name: String,
    val gradientStart: Long,
    val gradientEnd: Long,
    val timestamp: Long = System.currentTimeMillis(),
    val isDeleted: Boolean = false,
    val isPinned: Boolean = false // NEW: Tambahkan ini
)